Đến nội dung


Hình ảnh

cho mình hỏi về text trong cad với.


  • Please log in to reply
9 replies to this topic

#1 nguyenthanhcao

nguyenthanhcao

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 04 April 2010 - 04:02 PM

làm sao để tôi có thể viết text nhanh: giả sử tôi có 1 layer "text" (và nhiều layer khác) làm sao để khi tôi dùng lệnh T là nó tự động nhảy vào layer "text" (trước đó tôi đang ở 1 layer khác)? mong mọi người giúp đỡ.
  • 0

#2 nguyenthanhcao

nguyenthanhcao

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 05 April 2010 - 01:42 AM


sao không coá ai giúp mình hỉ?
hay mình hỏi 1 câu ngớ ngẩn. nếu vậy mong các bạn cũng nói luôn giúp mình nhé.
  • 0

#3 nguyenthanhcao

nguyenthanhcao

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 05 April 2010 - 03:25 PM

addmin ơi, giúp tôi với. thanks
  • 0

#4 svba1608

svba1608

    Tưởng Thị Tú Khuyên

  • Moderator
  • PipPipPipPipPipPipPip
  • 601 Bài viết
Điểm đánh giá: 620 (tốt)

Đã gửi 05 April 2010 - 04:06 PM

Xin hãy sử dụng chức năng tìm kiếm của Diễn đàn, hay thử đọc topic sau

Có lẽ câu hỏi của bạn khó, nên mọi người chưa giúp được. Hoặc có thể có cách giải quyết nhưng ai cũng bận chưa giúp bạn được.
  • 1
http://khuyen.space

#5 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 05 April 2010 - 04:21 PM

làm sao để tôi có thể viết text nhanh: giả sử tôi có 1 layer "text" (và nhiều layer khác) làm sao để khi tôi dùng lệnh T là nó tự động nhảy vào layer "text" (trước đó tôi đang ở 1 layer khác)? mong mọi người giúp đỡ.

Hề hề hề,
Cái nhà bác nguyenthanhcao này nóng .... máy quá.
Bác xài thử món này xem nó có mát ruột không hè.

(defun c:te ()
(command "_layer" "s" "text" "")
)

Và bác nhớ rằng phải load cái lisp này vào CAD trước khi xài nhé. Lệnh là te chứ không phải t như bác muốn, bởi vì nếu chỉ có t thì lisp nó sẽ hiểu đó là một lệnh khác. Mong bác ráng chịu vì te và t chỉ thêm có một nhát gõ thôi mà được việc còn hơn là xôi hỏng bỏng không bác hỉ.
Chúc bác hạ được cơn hỏa, hề hề hề.....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#6 ketui

ketui

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 05 April 2010 - 04:37 PM

làm sao để tôi có thể viết text nhanh: giả sử tôi có 1 layer "text" (và nhiều layer khác) làm sao để khi tôi dùng lệnh T là nó tự động nhảy vào layer "text" (trước đó tôi đang ở 1 layer khác)? mong mọi người giúp đỡ.

Giải quyết tình thế với bản vẽ đã có. Các text đã thuộc nhiều layer. loado cái này gò lệnh cte
(Defun c:Cte ( )
(Princ "\nHay chon vung :")
(setq xx (ssget '((0 . "text"))))

(if (Null xx)
(princ "\nKhong tim thay doi tuong nao")
)
(IF (/= NIL xx) (PROGN

(command "-layer" "new" "ltext" "color" "7" "ltext" "")
(princ "\nDang thuc hien ...............................")
(command "change" xx "" "Properties" "la" "ltext" "")
)
)
(princ "\nXong")
(Princ)
)


Viết text mới thì dùng cái này.
(Defun C:vte ()
(command "-layer" "new" "ltext" "color" "7" "ltext" "")
(setq luulop (getvar "clayer"))
(setvar "clayer" "ltext")
(Princ)
(command "_text" pause)
(setvar "clayer" luulop)
)

  • 1

#7 nguyenthanhcao

nguyenthanhcao

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 07 April 2010 - 12:36 AM

Hề hề hề,
Cái nhà bác nguyenthanhcao này nóng .... máy quá.
Bác xài thử món này xem nó có mát ruột không hè.


(defun c:te ()
(command "_layer" "s" "text" "")
)

Và bác nhớ rằng phải load cái lisp này vào CAD trước khi xài nhé. Lệnh là te chứ không phải t như bác muốn, bởi vì nếu chỉ có t thì lisp nó sẽ hiểu đó là một lệnh khác. Mong bác ráng chịu vì te và t chỉ thêm có một nhát gõ thôi mà được việc còn hơn là xôi hỏng bỏng không bác hỉ.
Chúc bác hạ được cơn hỏa, hề hề hề.....

bác này làm tôi mừng hụt... đã tử dùng cái lsp của bác nhưng không có tác dụng gì cả??? mong bác chỉ giáo rõ hơn được không?
  • 0

#8 coxuong89

coxuong89

    biết lệnh erase

  • Members
  • PipPipPip
  • 103 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 07 April 2010 - 01:13 AM

bác này làm tôi mừng hụt... đã tử dùng cái lsp của bác nhưng không có tác dụng gì cả??? mong bác chỉ giáo rõ hơn được không?


hehe...sao lại kô được. chắc chắn phải được. :undecided: :blink: :blink:
nhìn dãy lệnh lisp thế kia là quá chuẩn rồi.
anh dùng lệnh đó xong kô dùng thêm lệnh về text nữa là kô được đâu.
dãy lệnh này cho phép chuyển đến layer là text, anh hiểu chứ!!
  • 1
Hình đã gửi

#9 nguyenthanhcao

nguyenthanhcao

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 07 April 2010 - 06:52 AM

hehe...sao lại kô được. chắc chắn phải được. :undecided: :blink: :blink:
nhìn dãy lệnh lisp thế kia là quá chuẩn rồi.
anh dùng lệnh đó xong kô dùng thêm lệnh về text nữa là kô được đâu.
dãy lệnh này cho phép chuyển đến layer là text, anh hiểu chứ!!

chính xác... tôi đã tành công..cảm ơn ccs bác đã giúp đỡ
  • 0

#10 phuoccogido

phuoccogido

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 April 2010 - 12:21 PM

Các bạn cho mình hỏi trong autocad 2007 có thực hiện việc viết text thay đổi hình dạng chữ dạng giống như wordart được không. Xin cảm ơn.
  • 0